// pages/livePlayback/livePlayback.js
const app = require('../../utils/util.js');
const tools = require('../../utils/tools.js');
Page({
  /**
   * 页面的初始数据
   */
  data: {
    url: "",
    title: "",
    message: ""
  },
  /**
   * 生命周期函数--监听页面加载
   */
  async onLoad (options) {
    console.log(options)
    const sessionKey = await tools.checkSessionAndLogin();
    // let _this = this;
    wx.request({
      method: "post",
      url: app.globalData.publicUrl + '/wx/course/selectRecordByCourseId',
      data: {
        sessionKey: sessionKey,
        courseId:options.id
      },
      success: (e) => {
        console.log(e, "888888888888888888")
        this.setData({
          url: e.data.url,
          // show: false,
          title: e.data.course.courseName,
          message: e.data.course.courseInfo,
          playTimes: e.data.course.playTimes
        })
      }
    })
  // this.setData({
  //   url: options.courseUrl,
  //   title:options.courseName,
  //   message:options.courseInfo
  // })
},

/**
 * 生命周期函数--监听页面初次渲染完成
 */
onReady: function () {

},

/**
 * 生命周期函数--监听页面显示
 */
onShow: function () {

},

/**
 * 生命周期函数--监听页面隐藏
 */
onHide: function () {

},

/**
 * 生命周期函数--监听页面卸载
 */
onUnload: function () {

},

/**
 * 页面相关事件处理函数--监听用户下拉动作
 */
onPullDownRefresh: function () {

},

/**
 * 页面上拉触底事件的处理函数
 */
onReachBottom: function () {

},

/**
 * 用户点击右上角分享
 */
onShareAppMessage: function () {

}
})